Skip to content

Create a rate table

Request

Creates a new rate table.

Security
AdministrationAccess
Bodyapplication/json
effectiveFrominteger, (int64)

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the rate table starts to take effect.

seriesstring

A means of grouping similar rate tables of different versions.

versionstring

The version of this rate table.

itemsArray of objects(RateTableItem)

List of rate table items.

curl -i -X POST \
  https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/rate-tables \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "effectiveFrom": 0,
    "series": "string",
    "version": "string",
    "items": [
      {
        "name": "string",
        "version": "string",
        "rate": 0,
        "formula": "string"
      }
    ]
  }'

Responses

Rate table was successfully saved.

Bodyapplication/json
messagestring
Response
{ "message": "string" }